/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package dia4g3java;

import java.util.ArrayList;

/**
 *
 * @author Manuel
 */
public class Cliente {

        private String nombreCliente;

        private String documentacion;

        private ArrayList<Producto> mProducto;


        public Cliente(){
            mProducto=new ArrayList();

        }


    public String getNombreCliente () {
        return nombreCliente;
    }

    
    public void setNombreCliente (String val) {
        this.nombreCliente = val;
    }

    /**
     * @return the documentacion
     */
    public String getDocumentacion() {
        return documentacion;
    }

    /**
     * @param documentacion the documentacion to set
     */
    public void setDocumentacion(String documentacion) {
        this.documentacion = documentacion;
    }

    /**
     * @return the mProducto
     */
    public ArrayList<Producto> getMProducto() {
        return mProducto;
    }

    /**
     * @param mProducto the mProducto to set
     */
    public void setMProducto(ArrayList<Producto> mProducto) {
        this.mProducto = mProducto;
    }

    public void insertaProductoenCliente(Producto p){
        this.mProducto.add(p);
    }

}
